OpenPACE: Data Fields

OpenPACE

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - b -

- bn_ctx : eac_ctx
- body : cvc_cert_request_seq_st , cvc_cert_seq_st

### - c -

- ca_ctx : eac_ctx
- certificate_authority_reference : cvc_cert_authentication_request_seq_st , cvc_cert_body_seq_st , cvc_cert_request_body_seq_st
- certificate_effective_date : cvc_cert_body_seq_st
- certificate_expiration_date : cvc_cert_body_seq_st
- certificate_holder_reference : cvc_cert_body_seq_st , cvc_cert_request_body_seq_st
- certificate_profile_identifier : cvc_cert_body_seq_st , cvc_cert_request_body_seq_st
- chat : cvc_cert_body_seq_st
- cipher : ka_ctx
- cipher_ctx : eac_ctx
- cipher_engine : ka_ctx
- cmac_ctx : ka_ctx
- commCertificates : cvc_certificate_description_st
- compute_key : ka_ctx , ri_ctx
- cont1 : cvc_pubkey_st
- cont2 : cvc_pubkey_st
- cont3 : cvc_pubkey_st
- cont4 : cvc_pubkey_st
- cont5 : cvc_pubkey_st
- cont6 : cvc_pubkey_st
- cont7 : cvc_pubkey_st
- current_cert : ta_ctx

### - d -

- descriptionType : cvc_certificate_description_st
- discretionary_data1 : cvc_discretionary_data_template_seq_st
- discretionary_data2 : cvc_discretionary_data_template_seq_st
- discretionary_data3 : cvc_discretionary_data_template_seq_st

### - e -

- enc_keylen : ka_ctx
- encoded : pace_sec

### - f -

- flags : ca_ctx , ta_ctx

### - g -

- generate_key : ka_ctx , ri_ctx

### - i -

- id : ca_ctx , pace_ctx , ri_ctx
- inner_signature : cvc_cert_request_seq_st
- issuerName : cvc_certificate_description_st
- issuerURL : cvc_certificate_description_st
- iv : ka_ctx

### - k -

- k_enc : ka_ctx
- k_mac : ka_ctx
- ka_ctx : ca_ctx , pace_ctx
- key : ka_ctx
- key_ctx : eac_ctx
- key_engine : ta_ctx

### - l -

- lookup_csca_cert : ca_ctx
- lookup_cvca_cert : ta_ctx

### - m -

- mac_keylen : ka_ctx
- map_compute_key : pace_ctx
- map_generate_key : pace_ctx
- md : ka_ctx , ri_ctx
- md_ctx : eac_ctx
- md_engine : ka_ctx
- mem : pace_sec
- my_eph_pubkey : pace_ctx

### - n -

- new_trust_anchor : ta_ctx
- nonce : pace_ctx , ta_ctx

### - o -

- oid : cvc_pubkey_st
- outer_signature : cvc_cert_authentication_request_seq_st

### - p -

- pace_ctx : eac_ctx
- pk_pcd : ta_ctx
- priv_key : ta_ctx
- protocol : ca_ctx , pace_ctx , ri_ctx , ta_ctx
- pub_key : ta_ctx
- public_key : cvc_cert_body_seq_st , cvc_cert_request_body_seq_st

### - r -

- redirectURL : cvc_certificate_description_st
- relative_authorization : cvc_chat_seq_st
- request : cvc_cert_authentication_request_seq_st
- ri_ctx : eac_ctx

### - s -

- shared_secret : ka_ctx
- signature : cvc_cert_seq_st
- ssc : eac_ctx
- STACK_OF() : cvc_cert_body_seq_st , cvc_cert_request_body_seq_st , cvc_commcert_seq_st , eac_ctx
- static_key : pace_ctx , ri_ctx
- subjectName : cvc_certificate_description_st
- subjectURL : cvc_certificate_description_st

### - t -

- ta_ctx : eac_ctx
- terminal_type : cvc_chat_seq_st
- termsOfUsage : cvc_certificate_description_st
- tr_version : eac_ctx
- trust_anchor : ta_ctx
- type : cvc_discretionary_data_template_seq_st , pace_sec

### - v -

- version : ca_ctx , pace_ctx , ta_ctx